Subject: On tty or -nw, (window-body-width) is one column too big.
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Sun, 20 Apr 2014 17:03:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, Emacs.

I'm doing something at the moment involving scrolling of windows, and I
need to know at what "visual" column point is in.  So, naturally, I do

    (% (current-column) (window-body-width))

.  At the start of the first continuation line, this formula (correctly)
returns 0 on a GUI, but (e.g.) 79 on a tty or in emacs -nw.

This is caused by emacs counting the "\" character in the right margin as
part of the body-width.  This seems like a bad idea.  I think it's also a
bug.

So, is there a better method of determining the "visual" column point is
in?

-- 
Alan Mackenzie (Nuremberg, Germany).